MAT_GETVERSION(3)

NAME
Mat_GetVersion - Returns the filename of a MATLAB .mat file given a MAT file structure

SYNOPSIS
#include <matio.h>
enum mat_ft
Mat_GetVersion(mat_t *matfp);

DESCRIPTION
The Mat_GetVersion() function returns the version of the MATLAB .mat file given by the MAT file structure. The return value is one of the following:

•   MAT_FT_MAT73 if the file is an HDF5 MAT file.

•   MAT_FT_MAT5 if the file is a level 5 MAT file.

•   MAT_FT_MAT4 if the file is a level 4 MAT file.

SEE ALSO
Mat_Create(3), Mat_CreateVer(3), Mat_Open(3) Mat_GetFilename(3)